Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 593310 - Don't set null parameter values for unchanged object fields
Summary: Don't set null parameter values for unchanged object fields
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf
Version: Development
Hardware: All
OS: Linux
low
medium
Target Milestone: Next Version
: ---
Assignee: Ted Ross
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 13:43 UTC by Justin Ross
Modified: 2011-08-12 16:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-13 13:22:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Justin Ross 2010-05-18 13:43:53 UTC
Index: console.py
===================================================================
--- console.py  (revision 939472)
+++ console.py  (working copy)
@@ -188,7 +188,8 @@
         else:
           self._properties.append((prop, values[prop.name]))
       else:
-        self._properties.append((prop, None))
+        pass
+        #self._properties.append((prop, None))
     for stat in self._schema.getStatistics():
       if stat.name in values:
         self._statistics.append((stat, values[stat.name]))

Comment 1 Ted Ross 2010-05-18 19:16:57 UTC
Fixed upstream in revision 945833.


Note You need to log in before you can comment on or make changes to this bug.